<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="@dimen/spacing_large"
    tools:context=".ui.onboarding.OnboardingActivity">

    <TextView
        android:id="@+id/onboardingTitleTextView"
        style="@style/OnboardingTitleTextView"
        tools:ignore="MissingConstraints" />

    <TextView
        android:id="@+id/onboardingSubTitleTextView"
        style="@style/OnboardingSubTitleTextView"
        android:text="@string/welcome_heading"
        tools:ignore="MissingConstraints" />

    <ScrollView
        style="@style/OnboardingContentScrollView"
        app:layout_constraintBottom_toTopOf="@id/countryTextView"
        tools:ignore="MissingConstraints">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                style="@style/OnboardingBodyTextView"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:text="@string/welcome_description" />

            <TextView
                android:id="@+id/privacyTextView"
                style="@style/OnboardingBodyTextView"
                android:text="@string/welcome_privacy_description" />

        </LinearLayout>

    </ScrollView>

    <TextView
        android:id="@+id/countryTextView"
        style="@style/TextAppearance.Luca.Body2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/spacing_default"
        android:text="@string/welcome_country_description"
        app:layout_constraintBottom_toTopOf="@id/countryTextInputLayout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/countryTextInputLayout"
        style="@style/Widget.Luca.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginBottom="@dimen/spacing_small"
        android:labelFor="@id/countryAutoCompleteTextView"
        app:boxStrokeColor="@color/text_input_layout_stroke_color"
        app:layout_constraintBottom_toTopOf="@id/termsLayout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <AutoCompleteTextView
            android:id="@+id/countryAutoCompleteTextView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:imeOptions="actionDone"
            android:inputType="none"
            android:padding="@dimen/spacing_default"
            android:textColor="?attr/colorOnSurface"
            android:textSize="@dimen/font_size_small" />

    </com.google.android.material.textfield.TextInputLayout>

    <LinearLayout
        android:id="@+id/termsLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/spacing_small"
        android:gravity="center_vertical"
        app:layout_constraintBottom_toTopOf="@id/primaryActionButton"
        app:layout_constraintStart_toStartOf="parent">

        <com.google.android.material.checkbox.MaterialCheckBox
            android:id="@+id/termsCheckBox"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:buttonTint="?attr/colorOnSurface"
            android:contentDescription="@string/welcome_terms_checkbox_content_description" />

        <TextView
            android:id="@+id/termsTextView"
            style="@style/OnboardingBodyTextView"
            android:gravity="center_vertical"
            android:labelFor="@id/termsCheckBox"
            android:text="@string/welcome_terms_description" />

    </LinearLayout>

    <com.google.android.material.button.MaterialButton
        android:id="@+id/primaryActionButton"
        style="@style/Widget.Luca.Button.PrimaryActionButton"
        android:text="@string/welcome_action"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>